package org.ugasp.logging;



public class DefaultLogger implements Logger{

	public DefaultLogger(){}
	
	@Override
	public void log(byte logLevel, Class<?> clazz, String log) {
		String prefix = "";
		switch (logLevel){
		case Logger.FATAL:
			prefix = "[FATAL] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			break;
		case Logger.ERROR:
			prefix = "[ERROR] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			break;
		case Logger.WARN:
			prefix = "[WARN] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			break;
		case Logger.INFO:
			prefix = "[INFO] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			break;
		/*case Logger.DEBUG:
			prefix = "[DEBUG] - ["+clazz.getName()+"]";
			break;
		case Logger.TRACE:
			prefix = "[TRACE] - ["+clazz.getName()+"]";
			break;*/
		}
	}

	@Override
	public void log(byte logLevel, Class<?> clazz, String log, Throwable t) {
		String prefix = "";
		switch (logLevel){
		case Logger.FATAL:
			prefix = "[FATAL] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			t.printStackTrace();
			break;
		case Logger.ERROR:
			prefix = "[ERROR] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			t.printStackTrace();
			break;
		case Logger.WARN:
			prefix = "[WARN] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			t.printStackTrace();
			break;
		case Logger.INFO:
			prefix = "[INFO] - ["+clazz.getName()+"]";
			System.out.println(prefix+" "+log);
			t.printStackTrace();
			break;
		/*case Logger.DEBUG:
			prefix = "[DEBUG] - ["+clazz.getName()+"]";
			break;
		case Logger.TRACE:
			prefix = "[TRACE] - ["+clazz.getName()+"]";
			break;*/
		}
	}

}
